<template>
  <div class="navbar">
    <div class="container">
      <div class="logo">
        <img
          v-if="Object.keys(header).includes('logo')"
          alt="Logo Instituto Holístico"
          :src="header.logo"
        >
      </div>
      <div class="text">
        Instituto Holístico
      </div>
    </div>
    <div class="social-links">
      <a
        target="_blank"
          href="https://www.instagram.com/institutoholistico/"
          class="social-link"
      >
        <v-button class="btn">
          Fazer uma doação
        </v-button>
      </a>
    </div>
  </div>
</template>

<script>
import VButton from './VButton.vue';

export default {
  name: 'TheNavbar',
  components: {
    VButton,
  },
  props: {
    header: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style lang="stylus" scoped>
.navbar
  width 100%
  height 6.5rem
  display flex
  align-items: center;
  justify-content center
  box-shadow 0 0.4rem 0.8rem rgba(25, 25, 25, 0.08)


.logo
  img
    height 5rem


.container
  max-width var(--width-page)
  width 100%
  display flex
  align-items center
  justify-content flex-start


.logo
  margin-right 2rem


.btn
  background linear-gradient(87.73deg, var(--color-primary) 0.15%, var(--color-secondary) 34.93%, var(--color-primary) 95.81%) !important


.acao
  margin-right 2rem


.text
  color var(--color-primary)
  font-family Signika
  font-style normal
  font-weight bold
  font-size 2.8rem


@media screen and (max-width: 600px)
  .container
    padding 0 0


  .logo
    margin-left 2rem


  .acao
    display none

  .social-links
    display none


</style>
